TOTOLINK A3 can't install

Try this way :

upgrade vendor firmware to latest version.

  1. Hold the reset button and power on the device. wait for about 10s before releasing the reset button.
  2. upload sysupgrade.bin via u-boot recovery page on http://192.168.1.1

You're probably correct, but the git commit says flash initramfs through the webui, then sysupgrade.

1 Like

the latest vendor firmware is probably checking the file extension ?

edit:
looks like the extension is also .bin, so i don't know...

I was having the exact same issues with my A3 - the web UI simply refused to accept the binary.
I tried various versions of the stock firmware with different combinations of OpenWrt, all yielded the same result - Invalid File..

After some digging, it occurred to me that support for the TOTOLINK A3 was added in this commit on
Fri, 13 Mar 2020 03:19:32 +0800 (04:19 +0900). However, the oldest build of OpenWrt available here is from 2021-09-01 22:26:01 - almost 18 months apart.

We can assume the original commit did work as it was also verified by another user which left me with the only option - compile from source.

The repo can be checked out from the commit (6410c30dc7cefdf06dca1e09d1c337138aa4abea) and built using this container (I am a Fedora user, the build deps for OpenWrt are much older than the current version in the Fedora repos, so it is much easier to use docker!).

After some time, the binaries had been built and I was able so successfully flash my A3 with OpenWrt! I am not familiar enough with the project to work out what had broke the binary compatibility and commit a fix, but I suspect it is due to filesize.
The stock firmwares (and the OpenWrt version I build from source) are all under 4mb whereas all the OpenWrt binaries available from firmware-selector.openwrt.org are larger than 4mb.

I hope this helps someone else!

1 Like

Feel free to share the image somewhere, it might benefit others, like @HK3345678.

1 Like

It doesn't look like I can upload the binaries to the forum, so here they are in Google Drive, I hope that's OK!

https://drive.google.com/drive/folders/1ysHpOWxras5cQsLSxU_-5UZp6ZDdYbOT?usp=sharing

3 Likes

use the openwrt-ramips-mt76x8-totolink_a3-squashfs-sysupgrade.bin
can load and flashing But after page show complete...Now ethernet looping identifying and unplug!
HELP ME

back to stock F/W by ttl and tftp client
put openwrt F/W tftp will timeout WHY?

[    0.996243] bootconsole [early0] disabled
[    1.013468] spi-mt7621 10000b00.spi: sys_freq: 191666666
[    1.029548] m25p80 spi0.0: en25qh64 (8192 Kbytes)
[    1.038977] 4 fixed-partitions partitions found on MTD device spi0.0
[    1.051562] Creating 4 MTD partitions on "spi0.0":
[    1.061062] 0x000000000000-0x000000020000 : "u-boot"
[    1.071881] 0x000000020000-0x000000030000 : "config"
[    1.082651] 0x000000030000-0x000000040000 : "factory"
[    1.093682] 0x000000040000-0x000000800000 : "firmware"
[    1.110555] libphy: Fixed MDIO Bus: probed
[    1.129825] rt3050-esw 10110000.esw: link changed 0x00
[    1.141709] mtk_soc_eth 10100000.ethernet eth0: mediatek frame engine at 0xb0100000, irq 5
[    1.159983] NET: Registered protocol family 10
[    1.173445] Segment Routing with IPv6
[    1.180818] NET: Registered protocol family 17
[    1.189743] 8021q: 802.1Q VLAN Support v1.8
[    1.201184] VFS: Cannot open root device "(null)" or unknown-block(0,0): error -6
[    1.216076] Please append a correct "root=" boot option; here are the available partitions:
[    1.232630] 1f00             128 mtdblock0
[    1.232635]  (driver?)
[    1.245589] 1f01              64 mtdblock1
[    1.245593]  (driver?)
[    1.258535] 1f02              64 mtdblock2
[    1.258539]  (driver?)
[    1.271479] 1f03            7936 mtdblock3
[    1.271483]  (driver?)
[    1.284434] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
[    1.301983] Rebooting in 1 seconds..
[04000C0C][04000D0A]

WHY?
reflash the share by @sephallen ?

I was able to flash the binary I shared via the stock web UI.
The binary I shared does not include LuCI - you will need to SSH into your router and update / install packages (such as LuCi) via the terminal.

Thank you x 3!
Upgrade Success (A3 2019).

Edit: Your files are good, but I bricked it at the end because my own bad. :slight_smile: Include below.

BusyBox v1.31.1 () built-in shell (ash)

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 OpenWrt SNAPSHOT, r12559-6410c30dc7
 -----------------------------------------------------
=== WARNING! =====================================
There is no root password defined on this device!
Use the "passwd" command to set up a new password
in order to prevent unauthorized SSH logins.
--------------------------------------------------
root@OpenWrt:~# ver
-ash: ver: not found
root@OpenWrt:~# version
-ash: version: not found
root@OpenWrt:~# ls /tmp
TZ             dnsmasq.d      hosts          lock           resolv.conf    root           shm            sysinfo
dhcp.leases    etc            lib            log            resolv.conf.d  run            state          tmp
root@OpenWrt:~# sysupgrade -v -n /tmp/openwrt-ramips-mt76x8-totolink_a3-squashfs-sysupgrade.bin 
Commencing upgrade. Closing all shell sessions.
Connection to 192.168.1.1 closed by remote host.
Connection to 192.168.1.1 closed.



BusyBox v1.31.1 () built-in shell (ash)
  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 OpenWrt SNAPSHOT, r12559-6410c30dc7
 -----------------------------------------------------
=== WARNING! =====================================
There is no root password defined on this device!
Use the "passwd" command to set up a new password
in order to prevent unauthorized SSH logins.
--------------------------------------------------
root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M     64.0K     29.0M   0% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M    280.0K      3.8M   7% /overlay
overlayfs:/overlay        4.1M    280.0K      3.8M   7% /
root@OpenWrt:~# opkg update
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.sig
Signature check passed.
root@OpenWrt:~# opkg install luci
Installing luci (git-23.051.66410-a505bb1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci_git-23.051.66410-a505bb1_all.ipk
Installing luci-proto-ipv6 (git-21.148.48881-79947af) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-proto-ipv6_git-21.148.48881-79947af_all.ipk
Installing luci-app-firewall (git-23.095.34229-148759a5) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-app-firewall_git-23.095.34229-148759a5_all.ipk
Installing libubox20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubox20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing libubus20220615 (2022-06-15-9913aa61-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubus20220615_2022-06-15-9913aa61-1_mipsel_24kc.ipk
Installing libjson-c5 (0.16-2) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libjson-c5_0.16-2_mipsel_24kc.ipk
Installing libblobmsg-json20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libblobmsg-json20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing rpcd (2023-03-14-d9788300-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/rpcd_2023-03-14-d9788300-1_mipsel_24kc.ipk
Installing rpcd-mod-file (2023-03-14-d9788300-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/rpcd-mod-file_2023-03-14-d9788300-1_mipsel_24kc.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Configuring libjson-c5.
Configuring libubox20220927.
Configuring libblobmsg-json20220927.
Configuring libubus20220615.
Configuring rpcd.
Configuring luci-app-firewall.
Configuring rpcd-mod-file.
Command failed: Not found
Configuring luci-proto-ipv6.
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package luci.
root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M    980.0K     28.1M   3% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M    444.0K      3.6M  11% /overlay
overlayfs:/overlay        4.1M    444.0K      3.6M  11% /
root@OpenWrt:~# opkg update
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.sig
Signature check passed.
root@OpenWrt:~# opkg install luci
Installing luci (git-23.051.66410-a505bb1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci_git-23.051.66410-a505bb1_all.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package luci.
root@OpenWrt:~# opkg remove libjson-c5 libubox20220927 libblobmsg-json20220927 libubus20220615 rpcd luci-app-firewall rpcmod-file luci-proto-ipv6 
Removing package luci-app-firewall from root...
Removing package luci-proto-ipv6 from root...
Collected errors:
 * print_dependents_warning: Package libjson-c5 is depended upon by packages:
 * print_dependents_warning: 	rpcd
 * print_dependents_warning: 	libblobmsg-json20220927
 * print_dependents_warning: These might cease to work if package libjson-c5 is removed.

 * print_dependents_warning: Force removal of this package with --force-depends.
 * print_dependents_warning: Force removal of this package and its dependents
 * print_dependents_warning: with --force-removal-of-dependent-packages.
 * print_dependents_warning: Package libubox20220927 is depended upon by packages:
 * print_dependents_warning: 	rpcd
 * print_dependents_warning: 	libubus20220615
 * print_dependents_warning: 	rpcd-mod-file
 * print_dependents_warning: 	libblobmsg-json20220927
 * print_dependents_warning: These might cease to work if package libubox20220927 is removed.

 * print_dependents_warning: Force removal of this package with --force-depends.
 * print_dependents_warning: Force removal of this package and its dependents
 * print_dependents_warning: with --force-removal-of-dependent-packages.
 * print_dependents_warning: Package libblobmsg-json20220927 is depended upon by packages:
 * print_dependents_warning: 	rpcd
 * print_dependents_warning: 	ubus
 * print_dependents_warning: 	procd
 * print_dependents_warning: 	ubusd
 * print_dependents_warning: 	logd
 * print_dependents_warning: 	jshn
 * print_dependents_warning: These might cease to work if package libblobmsg-json20220927 is removed.

 * print_dependents_warning: Force removal of this package with --force-depends.
 * print_dependents_warning: Force removal of this package and its dependents
 * print_dependents_warning: with --force-removal-of-dependent-packages.
 * print_dependents_warning: Package libubus20220615 is depended upon by packages:
 * print_dependents_warning: 	rpcd
 * print_dependents_warning: 	rpcd-mod-file
 * print_dependents_warning: These might cease to work if package libubus20220615 is removed.

 * print_dependents_warning: Force removal of this package with --force-depends.
 * print_dependents_warning: Force removal of this package and its dependents
 * print_dependents_warning: with --force-removal-of-dependent-packages.
 * print_dependents_warning: Package rpcd is depended upon by packages:
 * print_dependents_warning: 	rpcd-mod-file
 * print_dependents_warning: These might cease to work if package rpcd is removed.

 * print_dependents_warning: Force removal of this package with --force-depends.
 * print_dependents_warning: Force removal of this package and its dependents
 * print_dependents_warning: with --force-removal-of-dependent-packages.
root@OpenWrt:~# opkg remove libjson-c5 libubox20220927 libblobmsg-json20220927 libubus20220615 rpcd luci-app-firewall rpcmod-file luci-proto-ipv6 
--force-depends 
Removing package libjson-c5 from root...
Removing package libubox20220927 from root...
Removing package libblobmsg-json20220927 from root...
Removing package libubus20220615 from root...
Removing package rpcd from root...

another half

root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M    980.0K     28.1M   3% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M    320.0K      3.8M   8% /overlay
overlayfs:/overlay        4.1M    320.0K      3.8M   8% /
root@OpenWrt:~# opkg remove luci
No packages removed.
root@OpenWrt:~# opkg remove luci-proto-ipv6
No packages removed.
root@OpenWrt:~# opkg update
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.sig
Signature check passed.
root@OpenWrt:~# opkg install prometheus-node-exporter-lua prometheus-node-exporter-lua-nat_traffic prometheus-node-exporter-lua-netstat prometheus
-node-exporter-lua-openwrt prometheus-node-exporter-lua-wifi prometheus-node-exporter-lua-wifi_stations
Installing prometheus-node-exporter-lua (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua_2022.08.08-1_all.ipk
Installing liblua5.1.5 (5.1.5-10) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/liblua5.1.5_5.1.5-10_mipsel_24kc.ipk
Installing lua (5.1.5-10) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/lua_5.1.5-10_mipsel_24kc.ipk
Installing luasocket (3.1.0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/luasocket_3.1.0-1_mipsel_24kc.ipk
Installing libubox20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubox20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing libjson-c5 (0.16-2) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libjson-c5_0.16-2_mipsel_24kc.ipk
Installing libblobmsg-json20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libblobmsg-json20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing libjson-script20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libjson-script20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing uhttpd (2023-01-28-47561aa1-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/uhttpd_2023-01-28-47561aa1-1_mipsel_24kc.ipk
Installing uhttpd-mod-lua (2023-01-28-47561aa1-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/uhttpd-mod-lua_2023-01-28-47561aa1-1_mipsel_24kc.ipk
Installing prometheus-node-exporter-lua-nat_traffic (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-nat_traffic_2022.08.08-1_all.ipk
Installing prometheus-node-exporter-lua-netstat (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-netstat_2022.08.08-1_all.ipk
Installing prometheus-node-exporter-lua-openwrt (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-openwrt_2022.08.08-1_all.ipk
Installing libubus20220615 (2022-06-15-9913aa61-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubus20220615_2022-06-15-9913aa61-1_mipsel_24kc.ipk
Installing libubus-lua (2022-06-15-9913aa61-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubus-lua_2022-06-15-9913aa61-1_mipsel_24kc.ipk
Installing prometheus-node-exporter-lua-wifi (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-wifi_2022.08.08-1_all.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Installing prometheus-node-exporter-lua-wifi_stations (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-wifi_stations_2022.08.08-1_all.ipk
Installing libiwinfo-lua (2023-02-06-c7eb8ebe-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libiwinfo-lua_2023-02-06-c7eb8ebe-1_mipsel_24kc.ipk
Configuring libjson-c5.
Configuring libubox20220927.
Configuring libblobmsg-json20220927.
Configuring libubus20220615.
Configuring liblua5.1.5.
Configuring libubus-lua.
Configuring libiwinfo-lua.
Configuring lua.
Configuring luasocket.
Configuring libjson-script20220927.
Configuring uhttpd.
Skipping invalid Lua prefix "/cgi-bin/luci=/usr/lib/lua/luci/sgi/uhttpd.lua"
Configuring uhttpd-mod-lua.
Configuring prometheus-node-exporter-lua.
Configuring prometheus-node-exporter-lua-netstat.
Configuring prometheus-node-exporter-lua-openwrt.
Configuring prometheus-node-exporter-lua-wifi_stations.
Configuring prometheus-node-exporter-lua-nat_traffic.
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package prometheus-node-exporter-lua-wifi.
root@OpenWrt:~# opkg install --force-reinstall luci-base
No packages removed.
Installing luci-base (git-23.104.28202-588c6a1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-base_git-23.104.28202-588c6a1_mipsel_24kc.ipk
Installing rpcd (2023-03-14-d9788300-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/rpcd_2023-03-14-d9788300-1_mipsel_24kc.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Configuring rpcd.
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package luci-base.
root@OpenWrt:~# opkg upgrade luci-base
Installing luci-base (git-23.104.28202-588c6a1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-base_git-23.104.28202-588c6a1_mipsel_24kc.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
root@OpenWrt:~# opkg upgrade libnl-tiny
root@OpenWrt:~# opkg install prometheus-node-exporter-lua-wifi
Installing prometheus-node-exporter-lua-wifi (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-wifi_2022.08.08-1_all.ipk
Configuring prometheus-node-exporter-lua-wifi.
root@OpenWrt:~# opkg install luci
Installing luci (git-23.051.66410-a505bb1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci_git-23.051.66410-a505bb1_all.ipk
Installing luci-proto-ipv6 (git-21.148.48881-79947af) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-proto-ipv6_git-21.148.48881-79947af_all.ipk
Installing luci-app-firewall (git-23.095.34229-148759a5) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-app-firewall_git-23.095.34229-148759a5_all.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Configuring luci-app-firewall.
Configuring luci-proto-ipv6.
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package luci.
root@OpenWrt:~# opkg install luci --force-overwrite libnl-tiny
Installing luci (git-23.051.66410-a505bb1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci_git-23.051.66410-a505bb1_all.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Installing rpcd-mod-luci (20230123-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/rpcd-mod-luci_20230123-1_mipsel_24kc.ipk
Installing libucode20220812 (2023-02-13-ab2f3f70-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libucode20220812_2023-02-13-ab2f3f70-1_mipsel_24kc.ipk
Installing rpcd-mod-ucode (2023-03-14-d9788300-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/rpcd-mod-ucode_2023-03-14-d9788300-1_mipsel_24kc.ipk
Installing cgi-io (2022-08-10-901b0f04-21) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/cgi-io_2022-08-10-901b0f04-21_mipsel_24kc.ipk
Installing ucode (2023-02-13-ab2f3f70-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/ucode_2023-02-13-ab2f3f70-1_mipsel_24kc.ipk
Installing ucode-mod-fs (2023-02-13-ab2f3f70-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/ucode-mod-fs_2023-02-13-ab2f3f70-1_mipsel_24kc.ipk
Installing ucode-mod-uci (2023-02-13-ab2f3f70-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/ucode-mod-uci_2023-02-13-ab2f3f70-1_mipsel_24kc.ipk
Installing ucode-mod-ubus (2023-02-13-ab2f3f70-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/ucode-mod-ubus_2023-02-13-ab2f3f70-1_mipsel_24kc.ipk
Installing ucode-mod-math (2023-02-13-ab2f3f70-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/ucode-mod-math_2023-02-13-ab2f3f70-1_mipsel_24kc.ipk
Installing ucode-mod-html (1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/ucode-mod-html_1_mipsel_24kc.ipk
Installing liblucihttp0 (2023-03-15-9b5b683f-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/liblucihttp0_2023-03-15-9b5b683f-1_mipsel_24kc.ipk
Installing liblucihttp-ucode (2023-03-15-9b5b683f-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/liblucihttp-ucode_2023-03-15-9b5b683f-1_mipsel_24kc.ipk
Installing luci-base (git-23.104.28202-588c6a1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-base_git-23.104.28202-588c6a1_mipsel_24kc.ipk
Installing libiwinfo-data (2023-02-06-c7eb8ebe-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libiwinfo-data_2023-02-06-c7eb8ebe-1_mipsel_24kc.ipk
Installing libiwinfo20230121 (2023-02-06-c7eb8ebe-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libiwinfo20230121_2023-02-06-c7eb8ebe-1_mipsel_24kc.ipk
Installing rpcd-mod-iwinfo (2023-03-14-d9788300-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/rpcd-mod-iwinfo_2023-03-14-d9788300-1_mipsel_24kc.ipk
Installing luci-mod-status (git-23.063.40670-8c7c56f) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-mod-status_git-23.063.40670-8c7c56f_mipsel_24kc.ipk
Installing luci-mod-system (git-23.013.73089-0186d7e) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-mod-system_git-23.013.73089-0186d7e_all.ipk
Installing luci-mod-network (git-23.074.82619-6ad6a24) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-mod-network_git-23.074.82619-6ad6a24_all.ipk
Installing luci-mod-admin-full (git-19.253.48496-3f93650) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-mod-admin-full_git-19.253.48496-3f93650_all.ipk
Installing luci-proto-ppp (git-21.158.38888-88b9d84) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-proto-ppp_git-21.158.38888-88b9d84_all.ipk
Installing luci-theme-bootstrap (git-23.085.34270-d94a728) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-theme-bootstrap_git-23.085.34270-d94a728_all.ipk
Installing rpcd-mod-rrdns (20170710) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/rpcd-mod-rrdns_20170710_mipsel_24kc.ipk
Installing uhttpd-mod-ubus (2023-01-28-47561aa1-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/uhttpd-mod-ubus_2023-01-28-47561aa1-1_mipsel_24kc.ipk
Installing luci-light (git-23.024.33244-34dee82) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-light_git-23.024.33244-34dee82_all.ipk
Installing luci-app-opkg (git-23.009.82915-ec3aac4) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/luci-app-opkg_git-23.009.82915-ec3aac4_all.ipk
Package libnl-tiny (2019-10-29-0219008c-1) installed in root is up to date.
Configuring libnl-tiny2023-04-02.
Configuring liblucihttp0.
Configuring cgi-io.
Configuring luci-app-opkg.
Configuring libiwinfo-data.
Configuring libiwinfo20230121.
Configuring rpcd-mod-luci.
Command failed: Not found
Configuring libucode20220812.
Configuring rpcd-mod-ucode.
Command failed: Not found
Configuring ucode.
Configuring ucode-mod-fs.
Configuring ucode-mod-uci.
Configuring ucode-mod-ubus.
Configuring ucode-mod-math.
Configuring ucode-mod-html.
Configuring liblucihttp-ucode.
Configuring luci-base.
//usr/lib/opkg/info/luci-base.postinst: /usr/lib/opkg/info/luci-base.postinst-pkg: line 7: service: not found
Configuring luci-mod-system.
Configuring luci-theme-bootstrap.
/luci-static/bootstrap
Configuring rpcd-mod-iwinfo.
Command failed: Not found
Configuring luci-mod-status.
Configuring luci-proto-ppp.
Configuring luci-mod-network.
Configuring luci-mod-admin-full.
Configuring rpcd-mod-rrdns.
Command failed: Not found
Configuring uhttpd-mod-ubus.
Skipping invalid Lua prefix "/cgi-bin/luci=/usr/lib/lua/luci/sgi/uhttpd.lua"
Configuring luci-light.
Configuring luci.
root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M    980.0K     28.1M   3% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M      1.4M      2.6M  35% /overlay
overlayfs:/overlay        4.1M      1.4M      2.6M  35% /
root@OpenWrt:~# opkg update
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.openwrt.org/snapshots/targets/ramips/mt76x8/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/telephony/Packages.sig
Signature check passed.
root@OpenWrt:~# opkg install collectd collectd-mod-conntrack collectd-mod-cpu collectd-mod-ethstat collectd-mod-load collectd-mod-memory collectd-
mod-processes collectd-mod-thermal collectd-mod-network collectd-mod-ping collectd-mod-uptime collectd-mod-ipstatistics collectd-mod-tcpconns coll
ectd-mod-wireless 
Installing collectd (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd_5.12.0-42_mipsel_24kc.ipk
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Installing zlib (1.2.13-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/zlib_1.2.13-1_mipsel_24kc.ipk
Installing libltdl7 (2.4.7-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libltdl7_2.4.7-1_mipsel_24kc.ipk
Installing collectd-mod-conntrack (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-conntrack_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-cpu (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-cpu_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-ethstat (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-ethstat_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-load (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-load_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-memory (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-memory_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-processes (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-processes_5.12.0-42_mipsel_24kc.ipk
Installing libmnl0 (1.0.5-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libmnl0_1.0.5-1_mipsel_24kc.ipk
Installing collectd-mod-thermal (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-thermal_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-network (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-network_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-ping (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-ping_5.12.0-42_mipsel_24kc.ipk
Installing liboping (1.10.0-3) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/liboping_1.10.0-3_mipsel_24kc.ipk
Installing collectd-mod-uptime (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-uptime_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-ipstatistics (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-ipstatistics_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-tcpconns (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-tcpconns_5.12.0-42_mipsel_24kc.ipk
Installing collectd-mod-wireless (5.12.0-42) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/collectd-mod-wireless_5.12.0-42_mipsel_24kc.ipk
Configuring zlib.
Configuring libltdl7.
Configuring collectd.
Configuring liboping.
Configuring collectd-mod-ping.
Configuring collectd-mod-network.
Configuring libmnl0.
Configuring collectd-mod-wireless.
Configuring collectd-mod-ipstatistics.
Configuring collectd-mod-uptime.
Configuring collectd-mod-processes.
Configuring collectd-mod-load.
Configuring collectd-mod-tcpconns.
Configuring collectd-mod-conntrack.
Configuring collectd-mod-memory.
Configuring collectd-mod-ethstat.
Configuring collectd-mod-cpu.
Configuring collectd-mod-thermal.
root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M    984.0K     28.1M   3% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M      1.7M      2.4M  42% /overlay
overlayfs:/overlay        4.1M      1.7M      2.4M  42% /
root@OpenWrt:~# reboot
root@OpenWrt:~# Connection to 192.168.1.1 closed by remote host.

and the host never came back.
Led loop flash..etc. No arp.

You should never update packages.

1 Like

Yea, know now. :slight_smile:
Got that idea from another post. Really shouldn't.
It's a shame, always liked that little device.
Well, I might try reflash back stock with tftp later, before another openwrt attempt.

Edit:

I use this to move file to A3

scp "/openwrt-ramips-mt76x8-totolink_a3-squashfs-sysupgrade.bin" root@192.168.1.1:/tmp

I use sysupgrade with "-n" to not save config, without it, show no space to save config error and itself reboots.

sysupgrade -v -n /tmp/openwrt-ramips-mt76x8-totolink_a3-squashfs-sysupgrade.bin.bin

After successful sysupgrade, disk remains 3.8M free.

root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M     64.0K     29.0M   0% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M    280.0K      3.8M   7% /overlay
overlayfs:/overlay        4.1M    280.0K      3.8M   7% /

====================================

After sysupgrade, when trying to install luci gives me below:

opkg install luci
...
...
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package luci.

When do it again, I would try using this.
!!!Caution!!! Not sure if this would brick it again.

opkg install luci --force-overwrite libnl-tiny

!!!Caution!!! Not sure if this would brick it again.

For my purpose, I dont' need luci, and probably would avoid installing it to save space.
However, installing prometheus-node-exporter would run into above same error.

root@OpenWrt:~# opkg install prometheus-node-exporter-lua prometheus-node-exporter-lua-nat_traffic prometheus-node-exporter-lua-netstat prometheus
-node-exporter-lua-openwrt prometheus-node-exporter-lua-wifi prometheus-node-exporter-lua-wifi_stations
Installing prometheus-node-exporter-lua (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua_2022.08.08-1_all.ipk
Installing liblua5.1.5 (5.1.5-10) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/liblua5.1.5_5.1.5-10_mipsel_24kc.ipk
Installing lua (5.1.5-10) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/lua_5.1.5-10_mipsel_24kc.ipk
Installing luasocket (3.1.0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/luasocket_3.1.0-1_mipsel_24kc.ipk
Installing libubox20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubox20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing libjson-c5 (0.16-2) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libjson-c5_0.16-2_mipsel_24kc.ipk
Installing libblobmsg-json20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libblobmsg-json20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing libjson-script20220927 (2022-09-27-ea560134-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libjson-script20220927_2022-09-27-ea560134-1_mipsel_24kc.ipk
Installing uhttpd (2023-01-28-47561aa1-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/uhttpd_2023-01-28-47561aa1-1_mipsel_24kc.ipk
Installing uhttpd-mod-lua (2023-01-28-47561aa1-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/uhttpd-mod-lua_2023-01-28-47561aa1-1_mipsel_24kc.ipk
Installing prometheus-node-exporter-lua-nat_traffic (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-nat_traffic_2022.08.08-1_all.ipk
Installing prometheus-node-exporter-lua-netstat (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-netstat_2022.08.08-1_all.ipk
Installing prometheus-node-exporter-lua-openwrt (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-openwrt_2022.08.08-1_all.ipk
Installing libubus20220615 (2022-06-15-9913aa61-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubus20220615_2022-06-15-9913aa61-1_mipsel_24kc.ipk
Installing libubus-lua (2022-06-15-9913aa61-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libubus-lua_2022-06-15-9913aa61-1_mipsel_24kc.ipk
Installing prometheus-node-exporter-lua-wifi (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-wifi_2022.08.08-1_all.ipk
Installing libnl-tiny2023-04-02 (2023-04-02-11b7c5f0-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libnl-tiny2023-04-02_2023-04-02-11b7c5f0-1_mipsel_24kc.ipk
Installing prometheus-node-exporter-lua-wifi_stations (2022.08.08-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/packages/prometheus-node-exporter-lua-wifi_stations_2022.08.08-1_all.ipk
Installing libiwinfo-lua (2023-02-06-c7eb8ebe-1) to root...
Downloading http://downloads.openwrt.org/snapshots/packages/mipsel_24kc/base/libiwinfo-lua_2023-02-06-c7eb8ebe-1_mipsel_24kc.ipk
Configuring libjson-c5.
Configuring libubox20220927.
Configuring libblobmsg-json20220927.
Configuring libubus20220615.
Configuring liblua5.1.5.
Configuring libubus-lua.
Configuring libiwinfo-lua.
Configuring lua.
Configuring luasocket.
Configuring libjson-script20220927.
Configuring uhttpd.
Skipping invalid Lua prefix "/cgi-bin/luci=/usr/lib/lua/luci/sgi/uhttpd.lua"
Configuring uhttpd-mod-lua.
Configuring prometheus-node-exporter-lua.
Configuring prometheus-node-exporter-lua-netstat.
Configuring prometheus-node-exporter-lua-openwrt.
Configuring prometheus-node-exporter-lua-wifi_stations.
Configuring prometheus-node-exporter-lua-nat_traffic.
Collected errors:
 * check_data_file_clashes: Package libnl-tiny2023-04-02 wants to install file /usr/lib/libnl-tiny.so
	But that file is already provided by package  * libnl-tiny
 * opkg_install_cmd: Cannot install package prometheus-node-exporter-lua-wifi.

So I might have to overcome that at last.

Packages I would like to install:

collectd collectd-mod-conntrack collectd-mod-cpu collectd-mod-ethstat collectd-mod-load collectd-mod-memory collectd-mod-processes collectd-mod-thermal collectd-mod-network collectd-mod-ping collectd-mod-uptime collectd-mod-ipstatistics collectd-mod-tcpconns collectd-mod-wireless 

prometheus-node-exporter-lua prometheus-node-exporter-lua-nat_traffic prometheus-node-exporter-lua-netstat prometheus-node-exporter-lua-openwrt prometheus-node-exporter-lua-wifi prometheus-node-exporter-lua-wifi_stations

and from above session, with above packages and luci installed, df -h shows:

root@OpenWrt:~# df -h
Filesystem                Size      Used Available Use% Mounted on
/dev/root                 2.3M      2.3M         0 100% /rom
tmpfs                    29.1M    984.0K     28.1M   3% /tmp
tmpfs                    29.1M     36.0K     29.1M   0% /tmp/root
tmpfs                   512.0K         0    512.0K   0% /dev
/dev/mtdblock6            4.1M      1.7M      2.4M  42% /overlay
overlayfs:/overlay        4.1M      1.7M      2.4M  42% /

Hey guys. I just installed OpenWrt using the build the @sephallen posted, which installed fine from the factory GUI. I hooked it up via ethernet, and attempted to install Luci, however I was met with an error which states that there is no storage available (0kb). Am I missing something?

storage space, it would appear ...

I seem to be missing entire partitions.

Any ideas?

I can't remember exactly, but I think I upgraded to the latest version of OpenWrt before installing LuCI - have you tried doing this?

I haven't tried that, was hoping to install Luci so I could just upgrade via the GUI. Just checking though, did you "upgrade" to the latest package for this router directly from the openrwrt.org page, or did you use the one you posted earlier?

The version I built and posted above was a very old version which is just enough to get the A3 running OpenWrt. All versions available from the downloads page are too large to flash via the stock web UI.

Once you have my build flashed, you should be able to flash the latest image via SSH / Telnet by transferring the lastest binary to the A3 and running to update procedure.
I think these are the instructions you need - https://openwrt.org/docs/guide-user/installation/sysupgrade.cli

Just to update this - it was very straightforward. Frankly the documentation from Openwrt is lacklusture at best - this is how I did it:

  1. Download & Install WinSCP on my Windows laptop.
  2. Download the latest sysupgrade.bin for the Totolink A3 and rename to sysupgrade-tta3.bin
  3. Open WinSCP and connect to 192.168.1.1. Not sure if setting a password was necessary but I did do this ahead of time
  4. Drag and drop my sysupgrade.bin file
  5. Run sysupgrade -v sysupgrade-tta3.bin

That's it. It took a couple of minutes but OpenWrt seems to be working :slight_smile:

2 Likes